#version 410 core

layout (location = 0) in vec3 aPos;
layout (location = 1) in vec3 aColor;
layout (location = 2) in vec2 aTexCoord;

out vec2 fragCoord;
out vec4 color;

uniform mat4 projection;
uniform mat4 view;
uniform mat4 transform;

void main()
{
    gl_Position = projection * view * transform * vec4(aPos, 1.0);
    color = vec4(aColor, 1.0f);
    fragCoord = aPos.xy;
}